# Generated from ultradns-sdk-0.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ultradns-sdk

Name: rubygem-%{gem_name}
Version: 0.0.6
Release: 1%{?dist}
Summary: UltraDNS SDK for manipulating zones managed by UltraDNS
License: Apache 2.0
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(mocha) >= 1.1.0
# BuildRequires: rubygem(mocha) < 1.2
# BuildRequires: rubygem(minitest) >= 5.4.0
# BuildRequires: rubygem(minitest) < 5.5
# BuildRequires: rubygem(simplecov) >= 0.9.0
# BuildRequires: rubygem(simplecov) < 0.10
# BuildRequires: rubygem(vcr) >= 2.9.2
# BuildRequires: rubygem(vcr) < 2.10
# BuildRequires: rubygem(fakeweb) >= 1.3.0
BuildArch: noarch

%description
Manipulate zones or add, update, remove records in UltraDNS.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/example
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_instdir}/ultradns-sdk.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.6-1
- Initial package
